# WOK
TKWOK
WOKernel

# WOKernel_UnitTypeBase Class Reference

`#include <WOKernel_UnitTypeBase.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | WOKernel_UnitTypeBase ()
Standard_EXPORT void | Clear ()
Standard_EXPORT Standard_Boolean | LoadBase (const WOKUtils_Param &params)
| Loads known file type base .
Standard_EXPORT const Handle_WOKernel_UnitTypeDescr & | GetTypeDescr (const Standard_Character akey) const
Standard_EXPORT const Handle_WOKernel_UnitTypeDescr & | GetTypeDescr (const Handle(TCollection_HAsciiString)&atype) const
Standard_EXPORT Standard_Integer | Length () const
Standard_EXPORT const Handle_WOKernel_UnitTypeDescr & | Value (const Standard_Integer anidx) const

## Private Attributes

WOKernel_SequenceOfUnitTypeDescr | mytypes

## Constructor & Destructor Documentation

Standard_EXPORT WOKernel_UnitTypeBase::WOKernel_UnitTypeBase | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void WOKernel_UnitTypeBase::Clear | ( |  | ) |

Standard_EXPORT const Handle_WOKernel_UnitTypeDescr& WOKernel_UnitTypeBase::GetTypeDescr | ( | const Handle(TCollection_HAsciiString)& | atype | ) | const

Standard_EXPORT const Handle_WOKernel_UnitTypeDescr& WOKernel_UnitTypeBase::GetTypeDescr | ( | const Standard_Character | akey | ) | const

Standard_EXPORT Standard_Integer WOKernel_UnitTypeBase::Length | ( |  | ) | const

Standard_EXPORT Standard_Boolean WOKernel_UnitTypeBase::LoadBase | ( | const WOKUtils_Param & | params | ) |

void WOKernel_UnitTypeBase::operator delete | ( | void * | anAddress | ) | `[inline]`

void* WOKernel_UnitTypeBase::operator new | ( | size_t | size | ) | `[inline]`

void* WOKernel_UnitTypeBase::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_WOKernel_UnitTypeDescr& WOKernel_UnitTypeBase::Value | ( | const Standard_Integer | anidx | ) | const

## Field Documentation

WOKernel_SequenceOfUnitTypeDescr WOKernel_UnitTypeBase::mytypes `[private]`

The documentation for this class was generated from the following file:

- WOKernel_UnitTypeBase.hxx